﻿
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using CocosSharp;
using DrawCallsBug;

namespace TouchBug
{
	
	public class MainScene : CCScene
	{

		public static MainScene Instance;

		public MainScene (CCWindow mainWindow) : base (mainWindow)
		{
			DefaultDesignResolutionSize = new CCSize (2048, 1536);

			var dummylayer = new CCLayer();
			this.AddChild(dummylayer);

			for(int i=0; i < 200;i++){

				var rand = new Random ();
				var randPos = new CCPoint (rand.Next (2048) - 1024, rand.Next (1536) - 1536 / 2);
				dummylayer.AddChild (new DummyNode (){ Position = randPos });
			}
		}


			
	}

	public class DummyNode : CCNode
	{
		public DummyNode () : base ()
		{
			var randNumber = new Random ().Next (200);
			var label = new CCLabel ("N " + randNumber, "Open Dyslexic", 30, CCLabelFormat.SpriteFont);	
			var bg = new CCSprite ("button_background");

			//FIXME: either remove the sprite or the label to reduce the draw calls to 1.
			this.AddChild (label);
			this.AddChild (bg);

		}
	}
}

